<com.gh.gamecenter.common.view.MaterializedConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    app:consumeWindowInsets="true">

    <androidx.viewpager2.widget.ViewPager2
        android:id="@id/viewPager"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/bottomTabContainer"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/view_shadow"
        android:layout_width="0dp"
        android:layout_height="4dp"
        android:background="@drawable/shadow"
        app:layout_constraintBottom_toTopOf="@+id/bottomTabContainer"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/realNameErrorContainer"
        android:layout_width="0dp"
        android:layout_height="40dp"
        android:background="@color/home_realname_error"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/installApiContainer"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <ImageView
            android:id="@+id/realNameErrorHintIv"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="16dp"
            android:src="@drawable/ic_realname_error_hint"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

        <TextView
            android:id="@+id/realNameErrorHintTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:drawablePadding="4dp"
            android:text="@string/realname_error_hint"
            android:textColor="@color/secondary_yellow"
            android:textSize="@dimen/secondary_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/realNameErrorHintIv"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:layout_width="8dp"
            android:layout_height="8dp"
            android:layout_marginStart="4dp"
            android:src="@drawable/ic_realname_error_arrow"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/realNameErrorHintTv"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/realNameErrorCloseIv"
            android:layout_width="8dp"
            android:layout_height="8dp"
            android:layout_marginEnd="16dp"
            android:src="@drawable/ic_realname_error_close"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/installApiContainer"
        android:layout_width="0dp"
        android:layout_height="52dp"
        android:background="@color/ui_surface"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/bottomTabContainer"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:visibility="visible">

        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/primary_theme_10" />

        <ImageView
            android:id="@+id/installApiCloseIv"
            android:layout_width="8dp"
            android:layout_height="8dp"
            android:layout_marginStart="16dp"
            android:src="@drawable/ic_install_api_close"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/installApiContentTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="8dp"
            android:text="您未授予已安装列表权限，可能导致无法安装及更新等异常情况，建议开启权限！"
            android:textSize="@dimen/secondary_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/installApiBtn"
            app:layout_constraintStart_toEndOf="@id/installApiCloseIv"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/installApiBtn"
            style="@style/BtnSmallStyle"
            android:layout_width="64dp"
            android:layout_height="28dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/bg_common_button_fill_gradient_blue"
            android:text="去开启"
            android:textColor="@color/text_aw_primary"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:id="@+id/bottomTabContainer"
        android:layout_width="0dp"
        android:layout_height="@dimen/main_bottom_tab_height"
        android:background="@color/ui_surface"
        android:clickable="true"
        android:focusable="true"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <FrameLayout
        android:id="@+id/skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</com.gh.gamecenter.common.view.MaterializedConstraintLayout>